QueryDecomposer
Keywords: uk.ac.bbk.dcs.automed.dataWarehousing.util.QueryDecomposer class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.dataWarehousing.util
Class QueryDecomposer

    java.lang.Object
      uk.ac.bbk.dcs.automed.dataWarehousing.util.QueryDecomposer

    public class QueryDecomposer

extends java.lang.Object

Author:
  hao To change the template for this generated type comment go to Window>Preferences>Java>Code Generation>Code and Comments

Constructor Summary
`QueryDecomposer()`

Method Summary
`static void` | `main(java.lang.String[] args)`
`java.util.ArrayList` | `queryDecomposer(Cell n)`
`java.util.ArrayList` | `queryDecomposer(Cell n, int wholeIndex)`
`java.util.ArrayList` | `queryDecomposer(java.lang.String s)`
`java.util.ArrayList` | `queryDecomposer(java.lang.String s, int wholeIndex)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryDecomposer

    public QueryDecomposer()

Method Detail

### queryDecomposer

    public java.util.ArrayList queryDecomposer(java.lang.String s,
                                               int wholeIndex)
                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### queryDecomposer

    public java.util.ArrayList queryDecomposer(Cell n,
                                               int wholeIndex)
                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### queryDecomposer

    public java.util.ArrayList queryDecomposer(java.lang.String s)
                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### queryDecomposer

    public java.util.ArrayList queryDecomposer(Cell n)
                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD